Skip to main content
`Ctrl`+`K`

# PetscQuadratureGetData

Returns the data defining the `PetscQuadrature`

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureGetData(PetscQuadrature q, PeOp PetscInt *dim, PeOp PetscInt *Nc, PeOp PetscInt *npoints, PeOp const PetscReal *points[], PeOp const PetscReal *weights[])

Not Collective

## Input Parameter

- q - The `PetscQuadrature` object

## Output Parameters

- dim - The spatial dimension

- Nc - The number of components

- npoints - The number of quadrature points

- points - The coordinates of each quadrature point

- weights - The weight of each quadrature point

## Note

All output arguments are optional, pass `NULL` for any argument not required

## Fortran Note

Call `PetscQuadratureRestoreData()` when you are done with the data

## See Also

`PetscQuadrature`, `PetscQuadratureCreate()`, `PetscQuadratureSetData()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex35.cxx
src/dm/field/tutorials/ex1.c
src/ksp/ksp/tutorials/ex36.cxx

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages